# Executions events

Executions events

Endpoint: POST Executions events
Version: 1.159.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "EXECUTION.FILLED", "EXECUTION.SETTLED", "EXECUTION.CANCELLED"

  - `object` (object, required)
    Represents a single execution (trade fill) within an order. An order may have multiple executions if it is partially filled across several trades.

  - `object.id` (string, required)

  - `object.cash_amount` (string, required)
    A positive cash amount, as a decimal string with up to two decimal places.

  - `object.share_quantity` (string, required)
    A positive decimal amount, as a string.

  - `object.price` (string, required)
    Price of an instrument for a trade execution provided as a decimal string.

  - `object.transaction_time` (string, required)
    Timestamp of when the trade was executed at the market. [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339) date-time format.

  - `object.taxes` (array, required)
    Taxes deducted as part of this execution.

  - `object.taxes.type` (string, required)
    Tax type
* TOTAL -
    Enum: "TOTAL"

  - `object.taxes.amount` (string, required)
    A positive decimal amount, as a string.

  - `object.order_id` (string, required)
    Unique identifier for an order. Universally Unique Identifier (UUID).

  - `object.status` (string, required)
    Status of the execution.
* FILLED — the execution has been filled.
* SETTLED — the execution has settled and securities and cash have been exchanged.
* CANCELLED — the execution was cancelled before settlement.
    Enum: "FILLED", "SETTLED", "CANCELLED"

  - `object.side` (string, required)
    Side of the execution.
* BUY — a buy execution.
* SELL — a sell execution.
    Enum: "BUY", "SELL"

  - `object.currency` (string, required)
    Alphabetic three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.
* EUR - Euro
* GBP - British Pound
* USD - US Dollar
    Enum: "EUR", "GBP", "USD"

  - `object.settlement_date` (string)
    Order execution settlement date in the YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339) RFC 3339

  - `object.venue_id` (string, required)
    The ID of the venue

  - `webhook_id` (string, required)
    Webhook unique identifier.

## Response 200:

  - `200` (unknown)
    Request has been processed successfully.

